<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="TDL"
            id="org.etsi.mts.tdl.ttcn3.ui.commands.category">
      </category>
      <command
            categoryId="org.etsi.mts.tdl.ttcn3.ui.commands.category"
            id="org.etsi.mts.tdl.ttcn3.ui.commands.transformCommand"
            name="Transform TDL model to TTCN-3">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.etsi.mts.tdl.ttcn3.ui.commands.transformCommand"
            class="org.etsi.mts.tdl.ttcn3.ui.handlers.TransformationHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.etsi.mts.tdl.ttcn3.ui.commands.transformCommand"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+6"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               label="TDL"
               mnemonic="T"
               id="org.etsi.mts.tdl.tools.menus.TDLMenu">
            <command
                  commandId="org.etsi.mts.tdl.ttcn3.ui.commands.transformCommand"
                  icon="icons/T3Icon.png"
                  mnemonic="3"
                  id="org.etsi.mts.tdl.ttcn3.ui.menus.trasnformCommand">
            </command>
         </menu>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
         <toolbar
               id="org.etsi.mts.tdl.ttcn3.ui.toolbars.transform">
            <command
                  commandId="org.etsi.mts.tdl.ttcn3.ui.commands.transformCommand"
                  icon="icons/T3Icon.png"
                  tooltip="Transform TDL model to TTCN-3"
                  id="org.etsi.mts.tdl.ttcn3.ui.toolbars.transformCommand">
            </command>
         </toolbar>
      </menuContribution>
   </extension>

</plugin>
